Bug 798553 - Couldn't find thread dump log file for jboss app
Couldn't find thread dump log file for jboss app
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Dan McPherson
libra bugs
Depends On:
  Show dependency treegraph
Reported: 2012-02-29 04:00 EST by bzhao
Modified: 2015-05-14 18:52 EDT (History)
1 user (show)

See Also:
Fixed In Version: devenv_1650
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-03-02 16:56:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description bzhao 2012-02-29 04:00:05 EST
Description of problem:
Couldn't generate thread dump log for jboss app after executing "rhc-ctl-app -a jbosstest2 -c threaddump", this file $appname/jbossas-7/stdout.log  does not exist 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Create an jbossas app.
# rhc-create-app -t jbossas-7 -predhat -a jbosstest2 -p xxx

2.execute  rhc-ctl-app, the thread dump will go to a new log file (stdout.log)
rhc-ctl-app -a jbosstest2 -p xxx -c threaddump

3.Access this file via rhc app tail
# rhc app tail -a jbosstest2 -f jbosstest2/jbossas-7/stdout.log
Actual results:
It'll output error messages said that "Could not find any files matching glob"

Expected results:
Can generate thread dump for jboss app and can access stdout.log vis rhc app tail

Additional info:
$appname/jbossas-7/stdout.log even does not exists for jbossas-7 app,but it existed before for jbossas-7.0 even if without thread dump.
# rhc app tail -a jbosstest2 -f jbosstest2/jbossas-7/stdout.log
Attempting to tail files: jbosstest2/jbossas-7/stdout.log
Use ctl + c to stop

Could not find any files matching glob
Comment 1 bzhao 2012-03-01 02:11:00 EST
Passed verification against rhc-0.87.7-1.el6_2.noarch

Note You need to log in before you can comment on or make changes to this bug.